package sql

import (
	"database/sql"

	"git.sr.ht/~cco/go-scopes/logging/log"
)

type Cfg struct {
	Driver, Connstr string
}

type Storage struct {
	*sql.DB
}

func Open(cfg *Cfg) *Storage {
	db, err := sql.Open(cfg.Driver, cfg.Connstr)
	if err != nil {
		log.Error(err).Msg("sql.Open")
		return nil
	}
	return &Storage{db}
}

func Exec(db *Storage, s string) {
}
